CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csl::CMIDIMessage Class Reference

CMIDIMessage class (mapped to juce::MidiMessage) More...

`#include <MIDIIOJ.h>`

List of all members.

## Public Member Functions
| CMIDIMessage ()
| CMIDIMessage (CMIDIMessageType t, unsigned ch, unsigned d1, unsigned d2)
bool | isNoteOn ()
| bool flags for events
bool | isNoteOff ()
bool | isNoteOnOff ()
bool | isPolyTouch ()
bool | isControlChange ()
bool | isProgramChange ()
bool | isAftertouch ()
bool | isPitchWheel ()
bool | isSysEX ()
unsigned | getCommand ()
| note accessors
unsigned | getNote ()
unsigned | getVelocity ()
unsigned | getPolyAftertouch ()
unsigned | getControlFunction ()
unsigned | getControlValue ()
unsigned | getProgramNumber ()
unsigned | getAftertouch ()
unsigned | getPitchWheel ()
float | getFrequency ()
float | getVelocityFloat ()
| has range of [0.0 1.0] mapped to [0 127] Data fields

## Public Attributes
CMIDIMessageType | message
| event type
unsigned | command
unsigned | channel
| 0-indexed, so from 0 to 15
unsigned | data1
unsigned | data2
float | time
| timestamp in sec

## Detailed Description

CMIDIMessage class (mapped to juce::MidiMessage)

Definition at line 46 of file MIDIIOJ.h.

## Constructor & Destructor Documentation

CMIDIMessage::CMIDIMessage | ( |  | ) |

Definition at line 15 of file MIDIIOJ.cpp.

csl::CMIDIMessage::CMIDIMessage | ( | CMIDIMessageType | t,
|  | unsigned | ch,
|  | unsigned | d1,
|  | unsigned | d2
| ) |  |

## Member Function Documentation

bool CMIDIMessage::isNoteOn | ( |  | ) |

bool flags for events

Definition at line 19 of file MIDIIOJ.cpp.

References command, and csl::kNoteOn.

Referenced by csl::MIDIPlayer::start().

bool CMIDIMessage::isNoteOff | ( |  | ) |

Definition at line 20 of file MIDIIOJ.cpp.

References command, and csl::kNoteOff.

bool CMIDIMessage::isNoteOnOff | ( |  | ) |

Definition at line 21 of file MIDIIOJ.cpp.

References command, csl::kNoteOff, and csl::kNoteOn.

bool CMIDIMessage::isPolyTouch | ( |  | ) |

Definition at line 23 of file MIDIIOJ.cpp.

References command, and csl::kPolyTouch.

bool CMIDIMessage::isControlChange | ( |  | ) |

Definition at line 24 of file MIDIIOJ.cpp.

References command, and csl::kControlChange.

bool CMIDIMessage::isProgramChange | ( |  | ) |

Definition at line 25 of file MIDIIOJ.cpp.

References command, and csl::kProgramChange.

bool CMIDIMessage::isAftertouch | ( |  | ) |

Definition at line 26 of file MIDIIOJ.cpp.

References command, and csl::kAftertouch.

bool CMIDIMessage::isPitchWheel | ( |  | ) |

Definition at line 27 of file MIDIIOJ.cpp.

References command, and csl::kPitchWheel.

bool CMIDIMessage::isSysEX | ( |  | ) |

Definition at line 28 of file MIDIIOJ.cpp.

References command, and csl::kSysEX.

unsigned CMIDIMessage::getCommand | ( |  | ) |

note accessors

Definition at line 30 of file MIDIIOJ.cpp.

References command.

unsigned CMIDIMessage::getNote | ( |  | ) |

Definition at line 31 of file MIDIIOJ.cpp.

References data1.

unsigned CMIDIMessage::getVelocity | ( |  | ) |

Definition at line 32 of file MIDIIOJ.cpp.

References data2.

unsigned CMIDIMessage::getPolyAftertouch | ( |  | ) |

Definition at line 33 of file MIDIIOJ.cpp.

References data2.

unsigned CMIDIMessage::getControlFunction | ( |  | ) |

Definition at line 34 of file MIDIIOJ.cpp.

References data1.

unsigned CMIDIMessage::getControlValue | ( |  | ) |

Definition at line 35 of file MIDIIOJ.cpp.

References data2.

unsigned CMIDIMessage::getProgramNumber | ( |  | ) |

Definition at line 36 of file MIDIIOJ.cpp.

References data1.

unsigned CMIDIMessage::getAftertouch | ( |  | ) |

Definition at line 37 of file MIDIIOJ.cpp.

References data1.

unsigned CMIDIMessage::getPitchWheel | ( |  | ) |

Definition at line 38 of file MIDIIOJ.cpp.

References data1, and data2.

float CMIDIMessage::getFrequency | ( |  | ) |

Definition at line 39 of file MIDIIOJ.cpp.

References data1, and csl::keyToFreq().

float CMIDIMessage::getVelocityFloat | ( |  | ) |

has range of [0.0 1.0] mapped to [0 127] Data fields

Definition at line 40 of file MIDIIOJ.cpp.

References data2.

## Member Data Documentation

CMIDIMessageType csl::CMIDIMessage::message

event type

Definition at line 73 of file MIDIIOJ.h.

Referenced by csl::MIDIIO::clear(), csl::MIDIIO::copyMessage(), csl::MIDIIn::evaluate(), and csl::MIDIIO::MIDIIO().

unsigned csl::CMIDIMessage::command

Definition at line 74 of file MIDIIOJ.h.

Referenced by csl::MIDIIO::copyMessage(), getCommand(), isAftertouch(), isControlChange(), isNoteOff(), isNoteOn(), isNoteOnOff(), isPitchWheel(), isPolyTouch(), isProgramChange(), and isSysEX().

unsigned csl::CMIDIMessage::channel

0-indexed, so from 0 to 15

Definition at line 75 of file MIDIIOJ.h.

Referenced by csl::MIDIIO::copyMessage(), and csl::MIDIPlayer::start().

unsigned csl::CMIDIMessage::data1

Definition at line 76 of file MIDIIOJ.h.

Referenced by csl::MIDIIO::copyMessage(), getAftertouch(), getControlFunction(), getFrequency(), getNote(), getPitchWheel(), getProgramNumber(), and csl::MIDIPlayer::start().

unsigned csl::CMIDIMessage::data2

Definition at line 77 of file MIDIIOJ.h.

Referenced by csl::MIDIIO::copyMessage(), getControlValue(), getPitchWheel(), getPolyAftertouch(), getVelocity(), getVelocityFloat(), and csl::MIDIPlayer::start().

float csl::CMIDIMessage::time

timestamp in sec

Definition at line 78 of file MIDIIOJ.h.

Referenced by csl::MIDIIO::copyMessage(), and csl::MIDIIn::handleIncomingMidiMessage().

The documentation for this class was generated from the following files:

- CSL/IO/MIDIIOJ.h
- CSL/IO/MIDIIOJ.cpp